Subject: Re: [P2PSIP] RFC6940: Detecting Partitioning

From: "Michael Chen" <[email-masked]>
Date: Mon, 15 Oct 2018 19:35:18 -0700

> -------- Original Message --------
> Subject: Re: [P2PSIP] RFC6940: Detecting Partitioning
> From: Evgeny <[email-masked]>
> Date: Mon, October 15, 2018 12:56 am
> To: [email-masked]
> 
> 
> On Mon, Oct 15, 2018 at 10:13 AM, Bless, Roland (TM) 
> <[email-masked]> wrote:
> > Yes, the last hop forwarding the answer will be B, but the originating
> > node from the other end (i.e., the one answering the ping request) is 
> > a
> > different node than P's current successor.
> 
> "the one answering the ping request"? But this will be my node 
> answering the ping request.
> Ok, I'm lost. Let's consider the PingReq path:
> 
> my_node -> boot_node -> ... -> node_X -> my_node
> 
> The corresponding PingAns will be:
> 
> my_node -> node_X -> ... -> boot_node -> my_node

No, but congratulation, you just discovered a new erratum. The partition
check 10.7.4.4 says, "repeat the discovery process used in the initial
join", which refers to the 2nd paragraph after 10.5.9:

    "It SHOULD send a Ping directed at Resource-ID n+1 (directly after
its own Resource-ID)."

Section 10.7.4.4 incorrectly used the term "Node-ID". It should be:

    "P SHOULD then send a Ping for its own Resource-ID n+1 routed
through B."

Destination Resource-ID n+1 ensures that it will only be answered by the
successor of the requester.

Thanks

--Michael